package kaos.core.csi.observe;

/**
 * Defines an exception to be thrown when an update
 * about an event fails during notification.
 *
 *   @author         KAoS Team
 */
public class NotificationException  extends Exception 
{

    /**
     *   Constructs a new NotificationException with no detailed message.
     */
    public NotificationException () 
    {    
        super(); 
    }

    /**
     *   Constructs a new NotificationException with a detail message.
     *   A detail message is a String that describes the exception.
     */
    public NotificationException (String s) 
    { 
        super(s); 
    }
}
