/**
 * Last Modified by: $Author: rjeffers $
 * On: $Date: 2006/01/27 22:04:00 $
 */
/**
 * Last Modified by: $Author: rjeffers $
 * On: $Date: 2006/01/27 22:04:00 $
 */

package kaos.core.csi.util.xmlSupport;

/**
    This class stores constants used by XMLToCSITranslators and XMLToCSILink.
    <p>
    Requires:<p>

	Modifications:<p>

    @version        1.0
    @author         KAoS Team
    $Revision: 1.5 $

**/
public class XMLToCSIConstants
{
    // Parsing types - used by KAoSCSIClient to specify what kinds of parsing
    public static final String XML_TRANSMISSION_HEADER      = "XML-TRANSMISSION-";
    public static final String XML_TRANSMITTED_FILE_NAME    = "0";
    public static final String XML_TRANSMITTED_FILE_CONTENT = "1";
    
    // Actions
    public static final String ACTIONS_BEGIN       	= "<Actions>";
    public static final String ACTIONS_END          = "</Actions>";
    public static final String ACTION          		= "Action";
    public static final String ACTOR          		= "Actor";
    public static final String PROPERTIES           = "Properties";
    public static final String PROPERTY             = "Property";
    public static final String VALUE             	= "Value";
    
    // Authorizations
    public static final String AUTHORIZATIONS        = "Authorizations";
    
    // Registrations
    public static final String REGISTRATIONS        = "Registrations";
    public static final String LOCATION             = "Location";
    public static final String ORIENTATION          = "Orientation";
    public static final String XCOORDINATE          = "XCoordinate";
    public static final String YCOORDINATE          = "YCoordinate";
    public static final String ZCOORDINATE          = "ZCoordinate";
    public static final String ROLL                 = "Roll";
    public static final String PITCH                = "Pitch";
    public static final String YAW                  = "Yaw";
    public static final String ENTITY               = "Entity";
    public static final String NAME                 = "Name";
    
    
    //Commands
    public static final String COMMANDS              = "Commands";
    public static final String COMMAND              = "Command";
   
    
    //MoveTo
    public static final String MOVE_TO              = "MoveTo";
    public static final String MOVING_TO            = "movingTo";
    public static final String RECEIVER             = "Receiver";
    
    //GetPose
    public static final String GET_POSE              = "GetPose";
    
    
}

