package kaos.ontology.vocabulary;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class ActionHistoryConcepts
{
	final private static String ActionHistoryOwlURL = "http://ontology.ihmc.us/ActionHistory.owl#";

    public static String ActionHistoryOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(ActionHistoryOwlURL); 
	}

	// Concepts
    public static final String SingleActionHistory = OntologyLanguageTagSelector.selectLanguageForTag(ActionHistoryOwlURL + "SingleActionHistory");
    public static final String ActionHistory = OntologyLanguageTagSelector.selectLanguageForTag(ActionHistoryOwlURL + "ActionHistory");

    public static String SingleActionHistory() { return SingleActionHistory; };
    public static String ActionHistory() { return ActionHistory; };

	// Properties
    public static final String hasRegisteredAction = OntologyLanguageTagSelector.selectLanguageForTag(ActionHistoryOwlURL + "hasRegisteredAction");

    public static String hasRegisteredAction() { return hasRegisteredAction; };

	// Instances

}
