package kaos.ontology.vocabulary;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class AttributeActionConcepts
{
	final private static String AttributeActionOwlURL = "http://ontology.ihmc.us/AttributeAction.owl#";

    public static String AttributeActionOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(AttributeActionOwlURL); 
	}

	// Concepts
    public static final String ChangeAttributeAction = OntologyLanguageTagSelector.selectLanguageForTag(AttributeActionOwlURL + "ChangeAttributeAction");
    public static final String DiscloseAttributeAction = OntologyLanguageTagSelector.selectLanguageForTag(AttributeActionOwlURL + "DiscloseAttributeAction");
    public static final String AccessAttributeAction = OntologyLanguageTagSelector.selectLanguageForTag(AttributeActionOwlURL + "AccessAttributeAction");

    public static String ChangeAttributeAction() { return ChangeAttributeAction; };
    public static String DiscloseAttributeAction() { return DiscloseAttributeAction; };
    public static String AccessAttributeAction() { return AccessAttributeAction; };

	// Properties
    public static final String hasNewDataValue = OntologyLanguageTagSelector.selectLanguageForTag(AttributeActionOwlURL + "hasNewDataValue");
    public static final String changedAttribute = OntologyLanguageTagSelector.selectLanguageForTag(AttributeActionOwlURL + "changedAttribute");
    public static final String accessedAttribute = OntologyLanguageTagSelector.selectLanguageForTag(AttributeActionOwlURL + "accessedAttribute");
    public static final String touchedAttribute = OntologyLanguageTagSelector.selectLanguageForTag(AttributeActionOwlURL + "touchedAttribute");
    public static final String hasNewObjectValue = OntologyLanguageTagSelector.selectLanguageForTag(AttributeActionOwlURL + "hasNewObjectValue");

    public static String hasNewDataValue() { return hasNewDataValue; };
    public static String changedAttribute() { return changedAttribute; };
    public static String accessedAttribute() { return accessedAttribute; };
    public static String touchedAttribute() { return touchedAttribute; };
    public static String hasNewObjectValue() { return hasNewObjectValue; };

	// Instances

}
