package kaos.ontology.vocabulary;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class DomainManagementActionConcepts
{
	final private static String DomainManagementActionOwlURL = "http://ontology.ihmc.us/DomainManagementAction.owl#";

    public static String DomainManagementActionOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(DomainManagementActionOwlURL); 
	}

	// Concepts
    public static final String RegisterAction = OntologyLanguageTagSelector.selectLanguageForTag(DomainManagementActionOwlURL + "RegisterAction");
    public static final String DeregisterAction = OntologyLanguageTagSelector.selectLanguageForTag(DomainManagementActionOwlURL + "DeregisterAction");
    public static final String CreateDomainAction = OntologyLanguageTagSelector.selectLanguageForTag(DomainManagementActionOwlURL + "CreateDomainAction");
    public static final String DomainManagementAction = OntologyLanguageTagSelector.selectLanguageForTag(DomainManagementActionOwlURL + "DomainManagementAction");
    public static final String ObtainMembersAction = OntologyLanguageTagSelector.selectLanguageForTag(DomainManagementActionOwlURL + "ObtainMembersAction");
    public static final String RemoveDomainAction = OntologyLanguageTagSelector.selectLanguageForTag(DomainManagementActionOwlURL + "RemoveDomainAction");

    public static String RegisterAction() { return RegisterAction; };
    public static String DeregisterAction() { return DeregisterAction; };
    public static String CreateDomainAction() { return CreateDomainAction; };
    public static String DomainManagementAction() { return DomainManagementAction; };
    public static String ObtainMembersAction() { return ObtainMembersAction; };
    public static String RemoveDomainAction() { return RemoveDomainAction; };

	// Properties
    public static final String hasDomain = OntologyLanguageTagSelector.selectLanguageForTag(DomainManagementActionOwlURL + "hasDomain");

    public static String hasDomain() { return hasDomain; };

	// Instances

}
