package kaos.ontology.vocabulary;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class EntityConcepts
{
	final private static String EntityOwlURL = "http://ontology.ihmc.us/Entity.owl#";

    public static String EntityOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL); 
	}

	// Concepts
    public static final String ComputingEntity = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "ComputingEntity");
    public static final String PhysicalEntity = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "PhysicalEntity");
    public static final String LogicalEntity = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "LogicalEntity");
    public static final String Entity = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "Entity");
    public static final String Resource = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "Resource");
    public static final String RateLimitedEntity = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "RateLimitedEntity");
    public static final String DurationLimitedEntity = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "DurationLimitedEntity");
    public static final String SizeLimitedEntity = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "SizeLimitedEntity");
    public static final String QuantityLimitedEntity = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "QuantityLimitedEntity");
    public static final String TimeStampedEntity = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "TimeStampedEntity");

    public static String ComputingEntity() { return ComputingEntity; };
    public static String PhysicalEntity() { return PhysicalEntity; };
    public static String LogicalEntity() { return LogicalEntity; };
    public static String Entity() { return Entity; };
    public static String Resource() { return Resource; };
    public static String RateLimitedEntity() { return RateLimitedEntity; };
    public static String DurationLimitedEntity() { return DurationLimitedEntity; };
    public static String SizeLimitedEntity() { return SizeLimitedEntity; };
    public static String QuantityLimitedEntity() { return QuantityLimitedEntity; };
    public static String TimeStampedEntity() { return TimeStampedEntity; };

	// Properties
    public static final String hasPart = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "hasPart");
    public static final String isPartOf = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "isPartOf");
    public static final String hasTimeStamp = OntologyLanguageTagSelector.selectLanguageForTag(EntityOwlURL + "hasTimeStamp");

    public static String hasPart() { return hasPart; };
    public static String isPartOf() { return isPartOf; };
    public static String hasTimeStamp() { return hasTimeStamp; };

	// Instances

}
