/**
 * Last Modified by: $Author: auszok $
 * On: $Date: 2005/11/29 20:01:00 $
 */
package kaos.core.csi;

/**
 *   This interface containes methods allowing to create and investigate a description of an Action instance.
 *   
 *   $Revision: 1.3 $
 */
public interface ActionInstanceDescription extends OntInstanceDescription
{
    /**
     *   Get the name of the actor.
     */
    public String getActor();

    /**
     *   Get the name of the class of action.
     */
    public String getActionClassName();
    
    // --------------------------------------
    
    /**
     *   Set the name of the concept mapping.
     *   
     *   @param name - the name of the concept mapping
     */
    public void setConceptMappingName(String name);
    
    /**
     *   Get the name of the concept mapping.
     */
    public String getConceptMappingName();
    
    public void setPropertyPopulatorKey(String aKey);

    public String getPropertyPopulatorKey();
}