/**
 * Last Modified by: $Author: rjeffers $
 * On: $Date: 2004/07/14 16:22:34 $
 */
 
package kaos.core.csi.registration;


/**
 * Defines the operations to register and deregister entities and entity hosting environments
 * in the KAoS Directory Service and operations to modify the registration information, to
 * register entitites in KAoS Domain and to maintain domain hierarchy.
 * 
 * @author KAoS Team
 * $Revision: 1.1 $
 */
public interface Registration extends DirectoryRegistration,
                                      DomainHierarchyConfiguration,
                                      DomainRegistration
{
}
