package kaos.ontology.vocabulary;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class ActorConcepts
{
	final private static String ActorOwlURL = "http://ontology.ihmc.us/Actor.owl#";

    public static String ActorOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(ActorOwlURL); 
	}

	// Concepts
    public static final String NaturalActor = OntologyLanguageTagSelector.selectLanguageForTag(ActorOwlURL + "NaturalActor");
    public static final String DomainManager = OntologyLanguageTagSelector.selectLanguageForTag(ActorOwlURL + "DomainManager");
    public static final String Guard = OntologyLanguageTagSelector.selectLanguageForTag(ActorOwlURL + "Guard");
    public static final String Robot = OntologyLanguageTagSelector.selectLanguageForTag(ActorOwlURL + "Robot");
    public static final String SoftwareActor = OntologyLanguageTagSelector.selectLanguageForTag(ActorOwlURL + "SoftwareActor");
    public static final String HardwareActor = OntologyLanguageTagSelector.selectLanguageForTag(ActorOwlURL + "HardwareActor");
    public static final String Agent = OntologyLanguageTagSelector.selectLanguageForTag(ActorOwlURL + "Agent");
    public static final String Human = OntologyLanguageTagSelector.selectLanguageForTag(ActorOwlURL + "Human");
    public static final String ArtificialActor = OntologyLanguageTagSelector.selectLanguageForTag(ActorOwlURL + "ArtificialActor");
    public static final String Actor = OntologyLanguageTagSelector.selectLanguageForTag(ActorOwlURL + "Actor");
    public static final String Person = OntologyLanguageTagSelector.selectLanguageForTag(ActorOwlURL + "Person");

    public static String NaturalActor() { return NaturalActor; };
    public static String DomainManager() { return DomainManager; };
    public static String Guard() { return Guard; };
    public static String Robot() { return Robot; };
    public static String SoftwareActor() { return SoftwareActor; };
    public static String HardwareActor() { return HardwareActor; };
    public static String Agent() { return Agent; };
    public static String Human() { return Human; };
    public static String ArtificialActor() { return ArtificialActor; };
    public static String Actor() { return Actor; };
    public static String Person() { return Person; };

	// Properties
    public static final String isGuarded = OntologyLanguageTagSelector.selectLanguageForTag(ActorOwlURL + "isGuarded");
    public static final String controlledBy = OntologyLanguageTagSelector.selectLanguageForTag(ActorOwlURL + "controlledBy");
    public static final String guards = OntologyLanguageTagSelector.selectLanguageForTag(ActorOwlURL + "guards");
    public static final String capableOfPerforming = OntologyLanguageTagSelector.selectLanguageForTag(ActorOwlURL + "capableOfPerforming");

    public static String isGuarded() { return isGuarded; };
    public static String controlledBy() { return controlledBy; };
    public static String guards() { return guards; };
    public static String capableOfPerforming() { return capableOfPerforming; };

	// Instances

}
