package kaos.ontology.vocabulary;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class AttributeConcepts
{
	final private static String AttributeOwlURL = "http://ontology.ihmc.us/Attribute.owl#";

    public static String AttributeOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(AttributeOwlURL); 
	}

	// Concepts
    public static final String Attribute = OntologyLanguageTagSelector.selectLanguageForTag(AttributeOwlURL + "Attribute");

    public static String Attribute() { return Attribute; };

	// Properties
    public static final String hasAttribute = OntologyLanguageTagSelector.selectLanguageForTag(AttributeOwlURL + "hasAttribute");
    public static final String isAssociatedWith = OntologyLanguageTagSelector.selectLanguageForTag(AttributeOwlURL + "isAssociatedWith");
    public static final String hasDataValue = OntologyLanguageTagSelector.selectLanguageForTag(AttributeOwlURL + "hasDataValue");
    public static final String hasObjectValue = OntologyLanguageTagSelector.selectLanguageForTag(AttributeOwlURL + "hasObjectValue");

    public static String hasAttribute() { return hasAttribute; };
    public static String isAssociatedWith() { return isAssociatedWith; };
    public static String hasDataValue() { return hasDataValue; };
    public static String hasObjectValue() { return hasObjectValue; };

	// Instances

}
