package kaos.ontology.vocabulary;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class ConditionConcepts
{
	final private static String ConditionOwlURL = "http://ontology.ihmc.us/Condition.owl#";

    public static String ConditionOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(ConditionOwlURL); 
	}

	// Concepts
    public static final String Conditions = OntologyLanguageTagSelector.selectLanguageForTag(ConditionOwlURL + "Conditions");

    public static String Conditions() { return Conditions; };

	// Properties
    public static final String hasPertinentHistory = OntologyLanguageTagSelector.selectLanguageForTag(ConditionOwlURL + "hasPertinentHistory");
    public static final String hasPertinentState = OntologyLanguageTagSelector.selectLanguageForTag(ConditionOwlURL + "hasPertinentState");

    public static String hasPertinentHistory() { return hasPertinentHistory; };
    public static String hasPertinentState() { return hasPertinentState; };

	// Instances

}
