package kaos.ontology.vocabulary;

/**
 * This file defines the namespaces used as default to create new concepts/instances/policies in.
 */
final public class DefaultNamespaces 
{
    final public static String defaultPolicyNamespace = "urn:KAoS#policy-";
	final public static String defaultKAoSNamespace = "urn:KAoS#";
    final public static String defaultKAoSInstancesNamespace = "urn:KAoS#";
    final public static String defaultKAoSXMLSchemaNamespace = "urn:KAoSXMLScheme#";
    
    final public static String controlActionPostfix = "Control";
    final public static String triggerActionPostfix = "Trigger";
    final public static String conditionActionPostfix = "Condition";
    final public static String historyActionPostfix = "History";
    final public static String statePostfix = "State";
    final public static String obligationConstraintPostfix = "ObligationConstraint";
}