package kaos.ontology.vocabulary;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class GroupConcepts
{
	final private static String GroupOwlURL = "http://ontology.ihmc.us/Group.owl#";

    public static String GroupOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL); 
	}

	// Concepts
    public static final String IntensionalGroup = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "IntensionalGroup");
    public static final String AgentGroup = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "AgentGroup");
    public static final String MembershipRegistry = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "MembershipRegistry");
    public static final String Group = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "Group");
    public static final String Domain = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "Domain");
    public static final String PersonGroup = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "PersonGroup");
    public static final String PolicyMediator = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "PolicyMediator");
    public static final String Team = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "Team");
    public static final String ActorGroup = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "ActorGroup");
    public static final String ExtensionalGroup = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "ExtensionalGroup");
    public static final String GroupActor = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "GroupActor");

    public static String IntensionalGroup() { return IntensionalGroup; };
    public static String AgentGroup() { return AgentGroup; };
    public static String MembershipRegistry() { return MembershipRegistry; };
    public static String Group() { return Group; };
    public static String Domain() { return Domain; };
    public static String PersonGroup() { return PersonGroup; };
    public static String PolicyMediator() { return PolicyMediator; };
    public static String Team() { return Team; };
    public static String ActorGroup() { return ActorGroup; };
    public static String ExtensionalGroup() { return ExtensionalGroup; };
    public static String GroupActor() { return GroupActor; };

	// Properties
    public static final String hasMember = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "hasMember");
    public static final String isSubTeamOf = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "isSubTeamOf");
    public static final String hasPolicyMediator = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "hasPolicyMediator");
    public static final String hasTeamMember = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "hasTeamMember");
    public static final String managedBy = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "managedBy");
    public static final String isDomainMemberOf = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "isDomainMemberOf");
    public static final String isTeamMemberOf = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "isTeamMemberOf");
    public static final String hasSubGroup = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "hasSubGroup");
    public static final String hasMembershipRegistry = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "hasMembershipRegistry");
    public static final String isSubGroupOf = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "isSubGroupOf");
    public static final String hasDomainMember = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "hasDomainMember");
    public static final String hasTeamPartner = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "hasTeamPartner");
    public static final String isSubDomainOf = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "isSubDomainOf");
    public static final String hasSubDomain = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "hasSubDomain");
    public static final String isMemberOf = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "isMemberOf");
    public static final String hasSubTeam = OntologyLanguageTagSelector.selectLanguageForTag(GroupOwlURL + "hasSubTeam");

    public static String hasMember() { return hasMember; };
    public static String isSubTeamOf() { return isSubTeamOf; };
    public static String hasPolicyMediator() { return hasPolicyMediator; };
    public static String hasTeamMember() { return hasTeamMember; };
    public static String managedBy() { return managedBy; };
    public static String isDomainMemberOf() { return isDomainMemberOf; };
    public static String isTeamMemberOf() { return isTeamMemberOf; };
    public static String hasSubGroup() { return hasSubGroup; };
    public static String hasMembershipRegistry() { return hasMembershipRegistry; };
    public static String isSubGroupOf() { return isSubGroupOf; };
    public static String hasDomainMember() { return hasDomainMember; };
    public static String hasTeamPartner() { return hasTeamPartner; };
    public static String isSubDomainOf() { return isSubDomainOf; };
    public static String hasSubDomain() { return hasSubDomain; };
    public static String isMemberOf() { return isMemberOf; };
    public static String hasSubTeam() { return hasSubTeam; };

	// Instances

}
