package kaos.ontology.vocabulary.computing;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class ComputingActionConcepts
{
	final private static String ComputingActionOwlURL = "http://ontology.ihmc.us/Computing/ComputingAction.owl#";

    public static String ComputingActionOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(ComputingActionOwlURL); 
	}

	// Concepts
    public static final String SendDataUnreliablyUnsequencedAction = OntologyLanguageTagSelector.selectLanguageForTag(ComputingActionOwlURL + "SendDataUnreliablyUnsequencedAction");
    public static final String CloseConnectionAction = OntologyLanguageTagSelector.selectLanguageForTag(ComputingActionOwlURL + "CloseConnectionAction");
    public static final String LoginAction = OntologyLanguageTagSelector.selectLanguageForTag(ComputingActionOwlURL + "LoginAction");
    public static final String SendDataReliableAction = OntologyLanguageTagSelector.selectLanguageForTag(ComputingActionOwlURL + "SendDataReliableAction");
    public static final String SendDataUnsequencedAction = OntologyLanguageTagSelector.selectLanguageForTag(ComputingActionOwlURL + "SendDataUnsequencedAction");
    public static final String SocketAction = OntologyLanguageTagSelector.selectLanguageForTag(ComputingActionOwlURL + "SocketAction");
    public static final String CloseSocketAction = OntologyLanguageTagSelector.selectLanguageForTag(ComputingActionOwlURL + "CloseSocketAction");
    public static final String SendDataUnreliablySequencedAction = OntologyLanguageTagSelector.selectLanguageForTag(ComputingActionOwlURL + "SendDataUnreliablySequencedAction");
    public static final String OpenSocketAction = OntologyLanguageTagSelector.selectLanguageForTag(ComputingActionOwlURL + "OpenSocketAction");
    public static final String ReceiveDataAction = OntologyLanguageTagSelector.selectLanguageForTag(ComputingActionOwlURL + "ReceiveDataAction");
    public static final String SendDataUnsequancedAction = OntologyLanguageTagSelector.selectLanguageForTag(ComputingActionOwlURL + "SendDataUnsequancedAction");
    public static final String SendDataAction = OntologyLanguageTagSelector.selectLanguageForTag(ComputingActionOwlURL + "SendDataAction");
    public static final String OpenConnectionAction = OntologyLanguageTagSelector.selectLanguageForTag(ComputingActionOwlURL + "OpenConnectionAction");
    public static final String SendDataReliablyUnsequencedAction = OntologyLanguageTagSelector.selectLanguageForTag(ComputingActionOwlURL + "SendDataReliablyUnsequencedAction");
    public static final String SendDataSequencedAction = OntologyLanguageTagSelector.selectLanguageForTag(ComputingActionOwlURL + "SendDataSequencedAction");
    public static final String SendDataReliablySequencedAction = OntologyLanguageTagSelector.selectLanguageForTag(ComputingActionOwlURL + "SendDataReliablySequencedAction");
    public static final String SendDataReliablyAction = OntologyLanguageTagSelector.selectLanguageForTag(ComputingActionOwlURL + "SendDataReliablyAction");
    public static final String SendDataUnreliablyAction = OntologyLanguageTagSelector.selectLanguageForTag(ComputingActionOwlURL + "SendDataUnreliablyAction");

    public static String SendDataUnreliablyUnsequencedAction() { return SendDataUnreliablyUnsequencedAction; };
    public static String CloseConnectionAction() { return CloseConnectionAction; };
    public static String LoginAction() { return LoginAction; };
    public static String SendDataReliableAction() { return SendDataReliableAction; };
    public static String SendDataUnsequencedAction() { return SendDataUnsequencedAction; };
    public static String SocketAction() { return SocketAction; };
    public static String CloseSocketAction() { return CloseSocketAction; };
    public static String SendDataUnreliablySequencedAction() { return SendDataUnreliablySequencedAction; };
    public static String OpenSocketAction() { return OpenSocketAction; };
    public static String ReceiveDataAction() { return ReceiveDataAction; };
    public static String SendDataUnsequancedAction() { return SendDataUnsequancedAction; };
    public static String SendDataAction() { return SendDataAction; };
    public static String OpenConnectionAction() { return OpenConnectionAction; };
    public static String SendDataReliablyUnsequencedAction() { return SendDataReliablyUnsequencedAction; };
    public static String SendDataSequencedAction() { return SendDataSequencedAction; };
    public static String SendDataReliablySequencedAction() { return SendDataReliablySequencedAction; };
    public static String SendDataReliablyAction() { return SendDataReliablyAction; };
    public static String SendDataUnreliablyAction() { return SendDataUnreliablyAction; };

	// Properties
    public static final String hasBandwithRequirement = OntologyLanguageTagSelector.selectLanguageForTag(ComputingActionOwlURL + "hasBandwithRequirement");
    public static final String hasLocalHost = OntologyLanguageTagSelector.selectLanguageForTag(ComputingActionOwlURL + "hasLocalHost");
    public static final String hasRemotePort = OntologyLanguageTagSelector.selectLanguageForTag(ComputingActionOwlURL + "hasRemotePort");
    public static final String hasRemoteHost = OntologyLanguageTagSelector.selectLanguageForTag(ComputingActionOwlURL + "hasRemoteHost");
    public static final String hasUsername = OntologyLanguageTagSelector.selectLanguageForTag(ComputingActionOwlURL + "hasUsername");
    public static final String hasPassword = OntologyLanguageTagSelector.selectLanguageForTag(ComputingActionOwlURL + "hasPassword");
    public static final String hasLocalPort = OntologyLanguageTagSelector.selectLanguageForTag(ComputingActionOwlURL + "hasLocalPort");

    public static String hasBandwithRequirement() { return hasBandwithRequirement; };
    public static String hasLocalHost() { return hasLocalHost; };
    public static String hasRemotePort() { return hasRemotePort; };
    public static String hasRemoteHost() { return hasRemoteHost; };
    public static String hasUsername() { return hasUsername; };
    public static String hasPassword() { return hasPassword; };
    public static String hasLocalPort() { return hasLocalPort; };

	// Instances

}
